Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5099)
@@ -4065,9 +4042,9 @@
 !!!   ------------------------------------------------------------
           !>jyg
-          !
+
           DO i = 1, klon
              IF (iflagctrl(i)<=1) itau_con(i)=itau_con(i)+cvpas
           ENDDO
-          !
+
           !jyg<
           !    Add the tendency due to the dry adjustment of the wake profile
@@ -4091,5 +4068,5 @@
           ENDIF   ! (iflag_wake>=1)
           !>jyg
-          !
+
        ELSE ! ok_cvl
 
@@ -4109,5 +4086,4 @@
        ENDIF ! ok_cvl
 
-       !
        ! Correction precip
        rain_con = rain_con * cvl_corr
@@ -4117,5 +4093,4 @@
           xtsnow_con = xtsnow_con * cvl_corr
 #endif
-       !
 
        IF (.NOT. ok_gust) THEN
@@ -4127,5 +4102,4 @@
        ! =================================================================== c
        ! Calcul des proprietes des nuages convectifs
-       !
 
        !   calcul des proprietes des nuages convectifs
@@ -4203,7 +4177,7 @@
     itapcv = 0
     ENDIF !  (MOD(itapcv,cvpas).EQ.0 .OR. MOD(itapcv,cvpas_0).EQ.0)
-!
+
     itapcv = itapcv+1
-    !
+
     ! Compter les steps ou cvpas=1
     IF (cvpas == 1) THEN
@@ -4335,21 +4309,20 @@
 #endif 
 
-    !
     !==========================================================================
     !RR:Evolution de la poche froide: on ne fait pas de separation wake/env 
     !pour la couche limite diffuse pour l instant
-    !
-    !
+
+
     ! nrlmd le 22/03/2011---Si on met les poches hors des thermiques
     ! il faut rajouter cette tendance calcul\'ee hors des poches
     ! froides
-    !
+
     IF (iflag_wake>=1) THEN
-       !
-       !
+
+
        ! Call wakes every "wkpas" step
-       !
+
        IF (MOD(itapwk,wkpas)==0) THEN
-          !
+
           DO k=1,klev
              DO i=1,klon
@@ -4419,5 +4392,5 @@
         enddo        
 #endif 
-          !
+
           !calcul caracteristiques de la poche froide
           CALL calWAKE (iflag_wake_tend, paprs, pplay, phys_tstep, &
@@ -4442,9 +4415,9 @@
 #endif      
          )
-          !
+
           !jyg    Reinitialize itapwk when wakes have been called
           itapwk = 0
        ENDIF !  (MOD(itapwk,wkpas).EQ.0)
-       !
+
        itapwk = itapwk+1
 #ifdef ISOVERIF
@@ -4460,5 +4433,5 @@
         enddo
 #endif
-       !
+
        !-----------------------------------------------------------------------
        ! ajout des tendances des poches froides
@@ -4484,5 +4457,5 @@
           CALL prt_enerbil('wake',itap)
        ENDIF   ! (iflag_wake_tend .GT. 0.)
-       !
+
        IF (prt_level >= 10) THEN
          print *,' physiq, after calwake, wake_s: ',wake_s(:)
@@ -4500,9 +4473,9 @@
 
     ENDIF  ! (iflag_wake>=1)
-    !
+
     !===================================================================
     ! Convection seche (thermiques ou ajustement)
     !===================================================================
-    !
+
     CALL stratocu_if(klon,klev,pctsrf,paprs, pplay,t_seri &
          ,seuil_inversion,weak_inversion,dthmin)
@@ -4521,9 +4494,9 @@
       d_xt_ajsb(:,:,:)=0.0
 #endif
-    !
+
     !      fm_therm(:,:)=0.
     !      entr_therm(:,:)=0.
     !      detr_therm(:,:)=0.
-    !
+
     IF (prt_level>9) WRITE(lunout,*) &
          'AVANT LA CONVECTION SECHE , iflag_thermals=' &
@@ -4757,5 +4730,5 @@
 #endif         
          )
-          !
+
           !jyg<
 !!jyg          IF (mod(iflag_pbl_split/2,2) .EQ. 1) THEN
@@ -4766,8 +4739,8 @@
              DO k=1,klev
                 DO i=1,klon
-                   !
+
                    d_deltat_the(i,k) = - d_t_ajs(i,k) 
                    d_deltaq_the(i,k) = - d_q_ajs(i,k) 
-                   !
+
                    d_u_ajs(i,k) = d_u_ajs(i,k)*(1.-wake_s(i)) 
                    d_v_ajs(i,k) = d_v_ajs(i,k)*(1.-wake_s(i)) 
@@ -4780,8 +4753,8 @@
                    enddo
 #endif
-                   !
+
                 ENDDO
              ENDDO
-          !
+
              IF (ok_bug_split_th) THEN
                CALL add_wake_tend &
@@ -4800,7 +4773,7 @@
              ENDIF
              CALL prt_enerbil('the',itap)
-          !
+
           ENDIF  ! (mod(iflag_pbl_split/10,10) .GE. 1)
-          !
+
           CALL add_phys_tend(d_u_ajs,d_v_ajs,d_t_ajs,d_q_ajs,  &
                              dql0,dqi0,dqbs0,paprs,'thermals', abortphy,flag_inhib_tend,itap,0 &
@@ -4810,6 +4783,6 @@
          )
           CALL prt_enerbil('thermals',itap)
-          !
-!
+
+
           CALL alpale_th( phys_tstep, lmax_th, t_seri, cell_area,  &
                           cin, s2, n2, strig, &
@@ -4937,5 +4910,5 @@
 
     ENDIF
-    !
+
     !===================================================================
     ! Computation of ratqs, the width (normalized) of the subrid scale 
@@ -4964,5 +4937,4 @@
          ratqs,ratqsc,ratqs_inter_)
 
-    !
     ! Appeler le processus de condensation a grande echelle
     ! et le processus de precipitation
@@ -4971,5 +4943,5 @@
        print *,'itap, ->fisrtilp ',itap
     ENDIF
-    !
+
 #ifdef ISO    
 #ifdef ISOVERIF
@@ -5096,5 +5068,5 @@
          )
     ENDIF
-    !
+
     WHERE (rain_lsc < 0) rain_lsc = 0.
     WHERE (snow_lsc < 0) snow_lsc = 0.
@@ -5325,5 +5297,4 @@
     ENDIF
 
-    !
     !-------------------------------------------------------------------
     !  PRESCRIPTION DES NUAGES POUR LE RAYONNEMENT
@@ -5331,5 +5302,5 @@
 
     ! 1. NUAGES CONVECTIFS
-    !
+
     !IM cf FH
     !     IF (iflag_cld_th.eq.-1) THEN ! seulement pour Tiedtke
@@ -5353,7 +5324,6 @@
           ENDDO
        ENDIF
-       !
+
        !     call dump2d(iim,jjm,rain_tiedtke(2:klon-1),'PSEUDO PRECIP ')
-       !
 
        ! Nuages diagnostiques pour Tiedtke
@@ -5456,7 +5426,7 @@
     !        enddo prfl, psfl,
     !     enddo
-    !
+
     ! 2. NUAGES STARTIFORMES
-    !
+
     IF (ok_stratus) THEN
        CALL diagcld2(paprs,pplay,t_seri,q_seri, diafra,dialiq)
@@ -5470,7 +5440,7 @@
        ENDDO
     ENDIF
-    !
+
     ! Precipitation totale
-    !
+
     DO i = 1, klon
        rain_fall(i) = rain_con(i) + rain_lsc(i)
@@ -5543,7 +5513,7 @@
         endif
 #endif    
-    !
+
     ! Calculer l'humidite relative pour diagnostique
-    !
+
     DO k = 1, klev
        DO i = 1, klon
@@ -5578,5 +5548,5 @@
     !IM Calcul temp.potentielle a 2m (tpot) et temp. potentielle 
     !   equivalente a 2m (tpote) pour diagnostique
-    !
+
     DO i = 1, klon
        tpot(i)=zt2m(i)*(100000./paprs(i,1))**RKAPPA
@@ -5661,10 +5631,8 @@
     ENDIF
 
-    !
     ! Appeler le rayonnement mais calculer tout d'abord l'albedo du sol.
-    !
+
     IF (MOD(itaprad,radpas)==0) THEN
 
-       !
        !jq - introduce the aerosol direct and first indirect radiative forcings
        !jq - Johannes Quaas, 27/11/2003 (quaas@lmd.jussieu.fr)
@@ -5672,5 +5640,5 @@
           IF (iflag_rrtm == 0) THEN !--old radiation
              IF (.NOT. aerosol_couple) THEN
-                !
+
                 CALL readaerosol_optic( &
                      debut, flag_aerosol, itap, jD_cur-jD_ref, &
@@ -5685,10 +5653,10 @@
                 CALL abort_physic(modname,abort_message,1)
              ELSE
-                !
+
 #ifdef CPP_RRTM
                 IF (NSW.EQ.6) THEN
                    !--new aerosol properties SW and LW
-                   !
-#ifdef CPP_Dust
+
+IF (CPPKEY_DUST) THEN
                    !--SPL aerosol model
                    CALL splaerosol_optic_rrtm( ok_alw, pplay, paprs, t_seri, rhcl, &
@@ -5696,5 +5664,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, tau3d_aero)
-#else
+ELSE
                    !--climatologies or INCA aerosols
                    CALL readaerosol_optic_rrtm( debut, aerosol_couple, ok_alw, ok_volcan, &
@@ -5704,5 +5672,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, drytausum_aero, tau3d_aero)
-#endif
+END IF
 
                    IF (flag_aerosol .EQ. 7) THEN
@@ -5711,8 +5679,7 @@
                    ENDIF
 
-                   !
                 ELSE IF (NSW.EQ.2) THEN 
                    !--for now we use the old aerosol properties
-                   !
+
                    CALL readaerosol_optic( &
                         debut, flag_aerosol, itap, jD_cur-jD_ref, &
@@ -5721,5 +5688,5 @@
                         tau_aero, piz_aero, cg_aero,  &
                         tausum_aero, tau3d_aero)
-                   !
+
                    !--natural aerosols
                    tau_aero_sw_rrtm(:,:,1,:)=tau_aero(:,:,3,:)
@@ -5730,8 +5697,8 @@
                    piz_aero_sw_rrtm(:,:,2,:)=piz_aero(:,:,2,:)
                    cg_aero_sw_rrtm (:,:,2,:)=cg_aero (:,:,2,:)
-                   !
+
                    !--no LW optics
                    tau_aero_lw_rrtm(:,:,:,:) = 1.e-15
-                   !
+
                 ELSE
                    abort_message='Only NSW=2 or 6 are possible with ' &
@@ -5744,5 +5711,5 @@
                 CALL abort_physic(modname,abort_message,1)
 #endif
-                !
+
              ENDIF
           ELSE IF (iflag_rrtm ==2) THEN    ! ecrad RADIATION
@@ -5774,8 +5741,8 @@
           ENDIF
        ENDIF
-       !
+
        !--WMO criterion to determine tropopause
        CALL stratosphere_mask(missing_val, pphis, t_seri, pplay, latitude_deg)
-       !
+
        !--STRAT AEROSOL
        !--updates tausum_aero,tau_aero,piz_aero,cg_aero
@@ -5814,5 +5781,5 @@
           tausum_aero(:,:,id_STRAT_phy) = 0. 
        ENDIF
-!
+
 #ifdef CPP_RRTM
 IF (CPPKEY_STRATER) THEN
@@ -5824,9 +5791,8 @@
 #endif
        !--fin STRAT AEROSOL
-       !     
 
        ! Calculer les parametres optiques des nuages et quelques
        ! parametres pour diagnostiques:
-       !
+
        IF (aerosol_couple.AND.config_inca=='aero') THEN 
           mass_solu_aero(:,:)    = ccm(:,:,1) 
@@ -5845,7 +5811,6 @@
                zfice, dNovrN, ptconv, rnebcon, clwcon)
 
-       !
        !IM betaCRF
-       !
+
        cldtaurad   = cldtau
        cldtaupirad = cldtaupi
@@ -5853,10 +5818,9 @@
        cldfrarad   = cldfra
 
-       !
        IF (lon1_beta==-180..AND.lon2_beta==180..AND. &
            lat1_beta==90..AND.lat2_beta==-90.) THEN
-          !
+
           ! global
-          !
+
 !IM 251017 begin
 !               print*,'physiq betaCRF global zdtime=',zdtime
@@ -5878,12 +5842,12 @@
              ENDDO
           ENDDO
-          !
+
        ELSE
-          !
+
           ! regional
-          !
+
           DO k=1, klev
              DO i=1,klon
-                !
+
                 IF (longitude_deg(i)>=lon1_beta.AND. &
                     longitude_deg(i)<=lon2_beta.AND. &
@@ -5903,8 +5867,8 @@
                    cldfrarad(i,k)   = cldfra(i,k) * beta(i,k)
                 ENDIF
-             !
+
              ENDDO
           ENDDO
-       !
+
        ENDIF
 
@@ -5932,8 +5896,7 @@
        ENDIF
 
-       !
        !sonia : If Iflag_radia >=2, pertubation of some variables
        !input to radiation (DICE)
-       !
+
        IF (iflag_radia >= 2) THEN
           zsav_tsol (:) = zxtsol(:)
@@ -5964,7 +5927,7 @@
 END IF
        ELSE
-          !
+
           !IM calcul radiatif pour le cas actuel
-          !
+
           RCO2 = RCO2_act
           RCH4 = RCH4_act
@@ -5972,15 +5935,15 @@
           RCFC11 = RCFC11_act
           RCFC12 = RCFC12_act
-          ! 
+
           !--interactive CO2 in ppm from carbon cycle
           IF (carbon_cycle_rad) RCO2=RCO2_glo
-          !
+
           IF (prt_level >=10) THEN
              print *,' ->radlwsw, number 1 '
           ENDIF
-          !
+
           ! AI namelist utilise pour l appel principal de radlwsw (ecrad)
           namelist_ecrad_file='namelist_ecrad'
-          !
+
           CALL radlwsw &
                (debut, dist, rmu0, fract,  &
@@ -6035,9 +5998,9 @@
  
           IF (.NOT. using_xios) THEN
-            !
+
             !IM 2eme calcul radiatif pour le cas perturbe ou au moins un
             !IM des taux doit etre different du taux actuel
             !IM Par defaut on a les taux perturbes egaux aux taux actuels
-            !
+
             IF (RCO2_per/=RCO2_act.OR. &
                 RCH4_per/=RCH4_act.OR. &
@@ -6046,7 +6009,7 @@
                 RCFC12_per/=RCFC12_act) ok_4xCO2atm =.TRUE.
           ENDIF
-   ! 
+
           IF (ok_4xCO2atm) THEN
-                !
+
                 RCO2 = RCO2_per
                 RCH4 = RCH4_per
@@ -6054,12 +6017,12 @@
                 RCFC11 = RCFC11_per
                 RCFC12 = RCFC12_per
-                !
+
                 IF (prt_level >=10) THEN
                    print *,' ->radlwsw, number 2 '
                 ENDIF
-                !
+
                 ! AI namelist utilise pour l appel principal de radlwsw (ecrad)
                 namelist_ecrad_file='namelist_ecrad'
-                !
+
                 CALL radlwsw &
                      (debut, dist, rmu0, fract,  &
@@ -6153,7 +6116,7 @@
        ENDIF ! aerosol_couple
        itaprad = 0
-       !
+
        !  If Iflag_radia >=2, reset pertubed variables
-       !
+
        IF (iflag_radia >= 2) THEN
           zxtsol(:) = zsav_tsol (:)
@@ -6182,9 +6145,8 @@
     ENDIF
 
-    !
     ! Calculer radsol a l'exterieur de radlwsw
     ! pour prendre en compte le cycle diurne
     ! recode par Olivier Boucher en sept 2015
-    !
+
     radsol=solsw*swradcorr+sollw
 
@@ -6193,8 +6155,6 @@
     ENDIF
 
-    !
     ! Ajouter la tendance des rayonnements (tous les pas)
     ! avec une correction pour le cycle diurne dans le SW
-    !
 
     DO k=1, klev
@@ -6218,5 +6178,4 @@
     CALL prt_enerbil('LW',itap)
 
-    !
     IF (mydebug) THEN
        CALL writefield_phy('u_seri',u_seri,nbp_lev)
@@ -6227,12 +6186,10 @@
 
     ! Calculer l'hydrologie de la surface
-    !
+
     !      CALL hydrol(dtime,pctsrf,rain_fall, snow_fall, zxevap,
     !     .            agesno, ftsol,fqsurf,fsnow, ruis)
-    !
-
-    !
+
     ! Calculer le bilan du sol et la derive de temperature (couplage)
-    !
+
     DO i = 1, klon
        !         bils(i) = radsol(i) - sens(i) - evap(i)*RLVTT
@@ -6240,15 +6197,15 @@
        bils(i) = radsol(i) - sens(i) + zxfluxlat(i)
     ENDDO
-    !
+
     !moddeblott(jan95)
     ! Appeler le programme de parametrisation de l'orographie
     ! a l'echelle sous-maille:
-    !
+
     IF (prt_level >=10) THEN
        print *,' call orography ? ', ok_orodr
     ENDIF
-    !
+
     IF (ok_orodr) THEN
-       !
+
        !  selection des points pour lesquels le shema est actif:
        igwd=0
@@ -6268,5 +6225,5 @@
        ENDDO
        !        igwdim=MAX(1,igwd)
-       !
+
        IF (ok_strato) THEN
 
@@ -6286,5 +6243,5 @@
                d_t_oro, d_u_oro, d_v_oro)
        ENDIF
-       !
+
        !  ajout des tendances
        !-----------------------------------------------------------------------
@@ -6298,7 +6255,7 @@
        CALL prt_enerbil('oro',itap)
        !----------------------------------------------------------------------
-       !
+
     ENDIF ! fin de test sur ok_orodr
-    !
+
     IF (mydebug) THEN
        CALL writefield_phy('u_seri',u_seri,nbp_lev)
@@ -6309,5 +6266,5 @@
 
     IF (ok_orolf) THEN
-       !
+
        !  selection des points pour lesquels le shema est actif:
        igwd=0
@@ -6325,5 +6282,5 @@
        ENDDO
        !        igwdim=MAX(1,igwd)
-       !
+
        IF (ok_strato) THEN
 
@@ -6447,7 +6404,7 @@
        ENDDO
     ENDDO
-    !
+
     !IM calcul composantes axiales du moment angulaire et couple des montagnes
-    !
+
     IF (is_sequential .and. ok_orodr) THEN 
        CALL aaam_bud (27,klon,klev,jD_cur-jD_ref,jH_cur, &
@@ -6485,6 +6442,6 @@
 #endif
     ENDIF
-    !
-    !
+
+
 IF (CPPKEY_STRATER) THEN
     IF (ok_qemiss) THEN
@@ -6510,5 +6467,5 @@
                 m_H2O_emiss_vol_daily = m_H2O_emiss_vol(ieru)/(REAL(injdur)&
                      *REAL(ponde_lonlat_vol(ieru)))
-                !
+
                 CALL STRATEMIT(pdtphys,pdtphys,latitude_deg,longitude_deg,t_seri,&
                     pplay,paprs,tr_seri,&
@@ -6535,5 +6492,5 @@
 !            Additional tendency of TKE due to orography
 !===============================================================
-!
+
 ! Inititialization
 !------------------
@@ -6561,5 +6518,4 @@
 !      ** 1 we include a fraction alphatkeoro of the whole tendency duoro
 !      ** 2 we include a fraction alphatkeoro of the gravity wave part of duoro
-!
 
        IF (addtkeoro > 0 .AND. ok_orodr ) THEN
@@ -6628,8 +6584,7 @@
 
     CALL tend_to_tke(pdtphys,paprs,exner,t_seri,u_seri,v_seri,dtadd,duadd,dvadd,pctsrf,pbl_tke)
-   !
+
    ! Prevent pbl_tke_w from becoming negative
     wake_delta_pbl_tke(:,:,:) = max(wake_delta_pbl_tke(:,:,:), -pbl_tke(:,:,:))
-   !
 
        ENDIF
@@ -6842,5 +6797,4 @@
     !   Calcul  des tendances traceurs
     !====================================================================
-    !
 
     IF (type_trac == 'repr') THEN
@@ -6862,5 +6816,5 @@
     ENDIF
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
     !  Avec SPLA, iflag_phytrac est forcé =1 
     CALL       phytracr_spl ( debut,lafin , jD_cur,jH_cur,iflag_con,       &  ! I
@@ -6879,5 +6833,5 @@
                       d_tr_dyn,tr_seri)
 
-#else
+ELSE
     IF (iflag_phytrac == 1 ) THEN
       CALL phytrac ( &
@@ -6920,5 +6874,5 @@
     ENDIF    ! (iflag_phytrac=1)
 
-#endif
+END IF
     !ENDIF    ! (iflag_phytrac=1)
 
@@ -6939,21 +6893,19 @@
     ENDIF
 
-    !
     ! Calculer le transport de l'eau et de l'energie (diagnostique)
-    !
+
     CALL transp (paprs,zxtsol, t_seri, q_seri, ql_seri, qs_seri, u_seri, v_seri, zphi, &
                  ue, ve, uq, vq, uwat, vwat)
-    !
+
     !IM global posePB BEG
     IF(1==0) THEN
-       !
+
        CALL transp_lay (paprs,zxtsol, t_seri, q_seri, u_seri, v_seri, zphi, &
             ve_lay, vq_lay, ue_lay, uq_lay)
-       !
+
     ENDIF !(1.EQ.0) THEN
     !IM global posePB END
-    !
+
     ! Accumuler les variables a stocker dans les fichiers histoire:
-    !
 
     !================================================================
@@ -7058,18 +7010,18 @@
     !   SORTIES
     !=======================================================================
-    !
+
     !IM initialisation + calculs divers diag AMIP2
-    !
+
     include "calcul_divers.h"
-    !
+
     !IM Interpolation sur les niveaux de pression du NMC
     !   -------------------------------------------------
-    !
+
     include "calcul_STDlev.h"
-    !
+
     ! slp sea level pressure derived from Arpege-IFS : CALL ctstar + CALL pppmer
     CALL diag_slp(klon,t_seri,paprs,pplay,pphis,ptstar,pt0,slp)
-    !
-    !
+
+
     IF (ANY(type_trac == ['inca','inco'])) THEN
 IF (CPPKEY_INCA) THEN
@@ -7102,11 +7054,10 @@
     ENDIF
 
-    !
     ! Convertir les incrementations en tendances
-    !
+
     IF (prt_level >=10) THEN
        print *,'Convertir les incrementations en tendances '
     ENDIF
-    !
+
     IF (mydebug) THEN
        CALL writefield_phy('u_seri',u_seri,nbp_lev)
@@ -7168,11 +7119,11 @@
        ENDDO
     ENDDO
-    !
+
     !IM rajout diagnostiques bilan KP pour analyse MJO par Jun-Ichi Yano
     !IM global posePB      include "write_bilKP_ins.h"
     !IM global posePB      include "write_bilKP_ave.h"
-    !
+
     ! Sauvegarder les valeurs de t et q a la fin de la physique:
-    !
+
     u_ancien(:,:)  = u_seri(:,:)
     v_ancien(:,:)  = v_seri(:,:)
@@ -7261,5 +7212,4 @@
        ENDDO
     ENDDO
-    !
 
     ! 22.03.04 BEG
@@ -7311,5 +7261,5 @@
     !On effectue les sorties:
 
-#ifdef CPP_Dust
+IF (CPPKEY_DUST) THEN
   CALL phys_output_write_spl(itap, pdtphys, paprs, pphis,  &
        pplay, lmax_th, aerosol_couple,                 &
@@ -7318,5 +7268,5 @@
        ptconvth, d_t, qx, d_qx, d_tr_dyn, zmasse,      &
        flag_aerosol, flag_aerosol_strat, ok_cdnc)
-#else
+ELSE
     CALL phys_output_write(itap, pdtphys, paprs, pphis,  &
          pplay, lmax_th, aerosol_couple,                 &
@@ -7325,5 +7275,5 @@
          ptconvth, d_u, d_t, qx, d_qx, zmasse,           &
          flag_aerosol, flag_aerosol_strat, ok_cdnc,t, u1, v1)
-#endif
+END IF
 
     IF (.NOT. using_xios) THEN
@@ -7348,9 +7298,9 @@
 
     ! 22.03.04 END
-    !
+
     !====================================================================
     ! Si c'est la fin, il faut conserver l'etat de redemarrage
     !====================================================================
-    !
+
 #ifdef ISO   
 #ifdef ISOVERIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/reevap.F90	(revision 5099)
@@ -34,8 +34,8 @@
     include "FCTTRE.h"
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
-    !
+
 do ixt=1,1+ntiso
     ! Re-evaporer l'eau liquide nuageuse
-    !
+
     iliqcur= iqWIsoPha(ixt,iliq)
     ivapcur= iqWIsoPha(ixt,ivap)
